KDE 4.7 PyKDE API Reference

- KDE's Python API

# KFontChooser Class Reference

`from PyKDE4.kdeui import *`

Inherits: QWidget → QObject

## Detailed Description

A font selection widget.

While KFontChooser as an ordinary widget can be embedded in custom dialogs and therefore is very flexible, in most cases it is preferable to use the convenience functions in KFontDialog.

"KDE Font Chooser Widget"

See also:
  KFontRequester

Author:
  Preston Brown <pbrown@kde.org>, Bernd Wuebben <wuebben@kde.org>

## Enumerations
DisplayFlag | { NoDisplayFlags, FixedFontsOnly, DisplayFrame, ShowDifferences }
FontColumn | { FamilyList, StyleList, SizeList }
FontDiff | { NoFontDiffFlags, FontDiffFamily, FontDiffStyle, FontDiffSize, AllFontDiffs }
FontListCriteria | { FixedWidthFonts, ScalableFonts, SmoothScalableFonts }
## Signals
| fontSelected (QFont font)
## Methods
| __init__ (self, QWidget parent=0, KFontChooser.DisplayFlags flags=KFontChooser.DisplayFrame, QStringList fontList=QStringList(), int visibleListSize=8, Qt::CheckState sizeIsRelativeState=0)
| __init__ (self, KFontChooser a0)
QColor | backgroundColor (self)
QColor | color (self)
| enableColumn (self, int column, bool state)
QFont | font (self)
KFontChooser.FontDiffFlags | fontDiffFlags (self)
QString | sampleText (self)
| setBackgroundColor (self, QColor col)
| setColor (self, QColor col)
| setFont (self, QFont font, bool onlyFixed=0)
| setSampleBoxVisible (self, bool visible)
| setSampleText (self, QString text)
| setSizeIsRelative (self, Qt::CheckState relative)
QSize | sizeHint (self)
Qt::CheckState | sizeIsRelative (self)
## Static Methods
| getFontList (QStringList list, long fontListCriteria)

## Signal Documentation

fontSelected | ( | QFont | font
| ) |  |  |

Emitted whenever the selected font changes.

Signal syntax:
  `QObject.connect(source, SIGNAL("fontSelected(const QFont&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | KFontChooser.DisplayFlags | flags=KFontChooser.DisplayFrame,
|  | QStringList | fontList=QStringList(),
|  | int | visibleListSize=8,
|  | Qt::CheckState | sizeIsRelativeState=0
| ) |  |  |

Constructs a font picker widget. It normally comes up with all font families present on the system; the getFont method below does allow some more fine-tuning of the selection of fonts that will be displayed in the dialog.

Consider the following code snippet;

        QStringList list;
        KFontChooser.getFontList(list, KFontChooser.SmoothScalableFonts);
        KFontChooser *chooseFont = new KFontChooser(0, NoDisplayFlags, list);

The above creates a font chooser dialog with only SmoothScaleble fonts.

Parameters:

  | parent | The parent widget.
    | flags | Defines how the font chooser is displayed. See also: DisplayFlags Parameters:
    | fontList | A list of fonts to display, in XLFD format. If no list is formatted, the internal KDE font list is used. If that has not been created, X is queried, and all fonts available on the system are displayed.
    | visibleListSize | The minimum number of visible entries in the fontlists.
    | sizeIsRelativeState | If not zero the widget will show a checkbox where the user may choose whether the font size is to be interpreted as relative size. Initial state of this checkbox will be set according to *sizeIsRelativeState, user choice may be retrieved by calling sizeIsRelative().

__init__ | ( | self, |
|  | KFontChooser | a0
| ) |  |  |

QColor backgroundColor | ( |  | self ) |

Returns:
  The background color currently used in the preview (default: the base color of the active colorgroup)

QColor color | ( |  | self ) |

Returns:
  The color currently used in the preview (default: the text color of the active color group)

enableColumn | ( | self, |
|  | int | column,
|  | bool | state
| ) |  |  |

Enables or disable a font column in the chooser.

Use this function if your application does not need or supports all font properties.

Parameters:

  | column | Specify the columns. An or'ed combination of FamilyList, StyleList and SizeList is possible.
  | state | If false the columns are disabled.

QFont font | ( |  | self ) |

Returns:
  The currently selected font in the chooser.

KFontChooser.FontDiffFlags fontDiffFlags | ( |  | self ) |

Returns:
  The bitmask corresponding to the attributes the user wishes to change.

QString sampleText | ( |  | self ) |

Returns:
  The current text in the sample text input area.

setBackgroundColor | ( | self, |
|  | QColor | col
| ) |  |  |

Sets the background color to use in the preview.

setColor | ( | self, |
|  | QColor | col
| ) |  |  |

Sets the color to use in the preview.

setFont | ( | self, |
|  | QFont | font,
|  | bool | onlyFixed=0
| ) |  |  |

Sets the currently selected font in the chooser.

Parameters:

  | font | The font to select.
  | onlyFixed | Readjust the font list to display only fixed width fonts if true, or vice-versa.

setSampleBoxVisible | ( | self, |
|  | bool | visible
| ) |  |  |

Shows or hides the sample text box.

Parameters:

  | visible | Set it to true to show the box, to false to hide it.

setSampleText | ( | self, |
|  | QString | text
| ) |  |  |

Sets the sample text.

Normally you should not change this text, but it can be better to do this if the default text is too large for the edit area when using the default font of your application.

Parameters:

  | text | The new sample text. The current will be removed.

setSizeIsRelative | ( | self, |
|  | Qt::CheckState | relative
| ) |  |  |

Sets the state of the checkbox indicating whether the font size is to be interpreted as relative size. NOTE: If parameter sizeIsRelative was not set in the constructor of the widget this setting will be ignored.

QSize sizeHint | ( |  | self ) |

Reimplemented for internal reasons.

Qt::CheckState sizeIsRelative | ( |  | self ) |

Returns:
  Whether the font size is to be interpreted as relative size (default: QButton:Off)

## Static Method Documentation

getFontList | ( | QStringList | list,
|  | long | fontListCriteria
| ) |  |  |

Creates a list of font strings.

Parameters:

  | list | The list is returned here.
  | fontListCriteria | should contain all the restrictions for font selection as OR-ed values

See also:
  KFontChooser.FontListCriteria for the individual values

## Enumeration Documentation

DisplayFlag

- FixedFontsOnly only show fixed fonts, excluding proportional fonts
- DisplayFrame show a visual frame around the chooser
- ShowDifferences display the font differences interfaces

Enumerator:

  NoDisplayFlags = 0 |
  FixedFontsOnly = 1 |
  DisplayFrame = 2 |
  ShowDifferences = 4 |

FontColumn

- FamilyList - Identifies the family (leftmost) list.
- StyleList - Identifies the style (center) list.
- SizeList - Identifies the size (rightmost) list.

Enumerator:

  FamilyList = 0x01 |
  StyleList = 0x02 |
  SizeList = 0x04 |

FontDiff

- FontDiffFamily - Identifies a requested change in the font family.
- FontDiffStyle - Identifies a requested change in the font style.
- FontDiffSize - Identifies a requested change in the font size.

Enumerator:

  NoFontDiffFlags = 0 |
  FontDiffFamily = 1 |
  FontDiffStyle = 2 |
  FontDiffSize = 4 |
  AllFontDiffs = FontDiffFamily|FontDiffStyle|FontDiffSize |

FontListCriteria

The selection criteria for the font families shown in the dialog.

- FixedWidthFont when included only fixed-width fonts are returned.
The fonts where the width of every character is equal.
- ScalableFont when included only scalable fonts are returned;
certain configurations allow bitmap fonts to remain unscaled and thus these fonts have limited number of sizes.
- SmoothScalableFont when included only return smooth scalable fonts.
this will return only non-bitmap fonts which are scalable to any size requested. Setting this option to true will mean the "scalable" flag is irrelavant.

Enumerator:

  FixedWidthFonts = 0x01 |
  ScalableFonts = 0x02 |
  SmoothScalableFonts = 0x04 |